[Snort-users] Pullpork, so rules, and upgrades

James Lay jlay at ...13475...
Thu Apr 14 18:52:14 EDT 2016


So....I'm sure we've all seen this before:

Apr 14 22:44:11 idsdev pulledpork[31863]: FATAL: An error occured: 
ERROR: The dynamic detection library 
/usr/local/lib/snort_dynamicrules/protocol-icmp.so version 1.0 compiled 
with dynamic engine library version 2.4 isn't compatible with the 
current dynamic engine library 
/usr/local/lib/snort_dynamicengine/libsf_engine.so version 2.6.

The fix, easy enough, is to:

cd /usr/local/lib/snort_dynamicrules/
sudo rm *.so
cd /tmp
tar xvf snortrules-snapshot-2982.tar.gz
#depending on distro and arch:
cd so_rules/precompiled/Ubuntu-12-04/x86-64/2.9.8.2/
sudo cp *.so /usr/local/lib/snort_dynamicrules/

and rerun pulledpork.  My question is, why doesn't pulledpork do this?  
I'm running 0.7.1....just curious really.  Thank you.

James




More information about the Snort-users mailing list